Copy PageCreate custom fieldpost https://api.wafeq.com/v1/custom-fields/Endpoint for creating a new custom field.Body Paramsapplication/jsonapplication/x-www-form-urlencodedmultipart/form-dataThe payload to create or update a custom field.apply_toarray of objectsrequiredThe groups this custom field applies to. View the enum referenceapply_to*Allowed:SALESPURCHASESCONTACTSADD stringconfigrequiredThe configuration of the custom field, containing field_type and metadata. The metadata structure depends on field_type: SELECT fields include a choices array, LOOKUP fields include an entity_type, and other types have empty metadata.CALCULATEDDATELONG_TEXTLOOKUPNUMBERSELECTTEXTCustomFieldCalculatedModel objectis_activebooleanWhether the custom field is active.truefalseis_line_item_fieldbooleanWhether the custom field is set on line items instead of on the document.truefalseis_visiblebooleanWhether the custom field is visible.truefalsenamestringlength ≤ 100The english name of the custom field.name_arstringlength ≤ 100The arabic name of the custom field.HeadersX-Wafeq-Idempotency-KeystringClient-provided UUID to uniquely identify a requestcontent-typestringenumDefaults to application/jsonGenerated from available request content typesapplication/jsonapplication/x-www-form-urlencodedmultipart/form-dataAllowed:application/jsonapplication/x-www-form-urlencodedmultipart/form-dataResponses 201 400Validation error (e.g., invalid config, field type change while in use, or choice removal while in use). 403Permission denied or addon limit reached.Updated 10 days ago List custom fieldsDelete custom fieldDid this page help you?YesNo